local frame = CreateFrame("Frame");


if not jumpCounter then jumpCounter = 0 end
if not jumpTreshold then jumpTreshold = 10 end
if not jumpLevel then jumpLevel = 1 end
local playerName = UnitName("player");


frame:RegisterEvent('PLAYER_ENTERING_WORLD');
frame:RegisterEvent("ADDON_LOADED");

frame:SetScript("OnEvent", function(self, event, arg1, ...)
	local firstLoadIn = false
    if event == "ADDON_LOADED" and arg1 == "JumpMaster" then
    print("|cffFF0000[Jump Master]|r Loaded - made by |cff00FF00Ubz|r on |cff00FF00Mograine EU|r");
    frame:UnregisterEvent('ADDON_LOADED')
    firstLoadIn = true
    end
end)

hooksecurefunc("JumpOrAscendStart",
    function()
        if not IsFalling() then
            jumpCounter = jumpCounter + 1
        end
        if jumpCounter == jumpTreshold then
            PlaySound(888)
            jumpTreshold = jumpTreshold * 2
            jumpLevel = jumpLevel + 1
            print("|cffFF0000[Jump Master]|r You have leveled up to |cff00FF00" .. jumpLevel .. "|r! After a total amount of |cff00FF00" .. jumpCounter .. "|r jumps!")
        end
end)


--- Prints out statistics of lifetime and current session ---
SLASH_JumpMaster1 = "/jm";
SlashCmdList["JumpMaster"] = function(msg)
    print("---------< |cffFF0000Jump Master|r >-----------")
    print("• |cff00FF00Level|r: " .. jumpLevel)
    print("• |cff00FF00Jumps to next level|r: " .. (jumpTreshold - jumpCounter))
    print("• |cff00FF00Total amount of jumps|r: " .. jumpCounter)
    print("--------------------------------------------")
end
SLASH_JumpMasterSay1 = "/jms";
SlashCmdList["JumpMasterSay"] = function(msg)
	SendChatMessage("".. playerName .. " [Level: " .. jumpLevel .. "] has jumped " .. jumpCounter .. " times! ", "SAY")
end
SLASH_JumpMasterParty1 = "/jmp";
SlashCmdList["JumpMasterParty"] = function(msg)
	SendChatMessage("".. playerName .. " [Level: " .. jumpLevel .. "] has jumped " .. jumpCounter .. " times! ", "PARTY")
end
SLASH_JumpMasterRaid1 = "/jmr";
SlashCmdList["JumpMasterRaid"] = function(msg)
	SendChatMessage("".. playerName .. " [Level: " .. jumpLevel .. "] has jumped " .. jumpCounter .. " times! ", "RAID")
end
SLASH_JumpMasterGuild1 = "/jmg";
SlashCmdList["JumpMasterGuild"] = function(msg)
	SendChatMessage("".. playerName .. " [Level: " .. jumpLevel .. "] has jumped " .. jumpCounter .. " times! ", "GUILD")
end